Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.cometd
Class JSONTransport

    java.lang.Object
      org.mortbay.cometd.AbstractTransport
          org.mortbay.cometd.JSONTransport

All Implemented Interfaces:
  Transport

    public class JSONTransport

extends AbstractTransport

Field Summary
`protected String` | `_contentType`
`protected String` | `_end`
`protected String` | `_start`

Constructor Summary
`JSONTransport()`
`JSONTransport(boolean commented)`

Method Summary
`void` | `complete()`
`boolean` | `isJSONCommented()`
`boolean` | `keepAlive()`
`void` | `send(Map<String,Object> reply)`
`void` | `setJSONCommented(boolean commented)`

Methods inherited from class org.mortbay.cometd.AbstractTransport
`getResponse, isPolling, send, setPolling, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _contentType

    protected String _contentType

### _start

    protected String _start

### _end

    protected String _end

Constructor Detail

### JSONTransport

    public JSONTransport()

### JSONTransport

    public JSONTransport(boolean commented)

Method Detail

### isJSONCommented

    public boolean isJSONCommented()

  Returns:
    the commented

### setJSONCommented

    public void setJSONCommented(boolean commented)

  Parameters:
    `commented` - the commented to set

### send

    public void send(Map<String,Object> reply)
              throws IOException

  Throws:
    `IOException`

### complete

    public void complete()
                  throws IOException

  Throws:
    `IOException`

### keepAlive

    public boolean keepAlive()
                      throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.